Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::replace_fn Struct Reference
Inheritance diagram for ranges::views::replace_fn:

## Synopsis of methods
constexpr replace_fn | replace {}

## Public Member Functions
template<typename Val1 , typename Val2 >
constexpr auto | operator() (Val1 old_value, Val2 new_value) const
Public Member Functions inherited from ranges::views::replace_base_fn
template<typename Rng , typename Val1 , typename Val2 >
constexpr replace_view< all_t< Rng >, detail::decay_t< Val1 >, detail::decay_t< Val2 > > | operator() (Rng &&rng, Val1 &&old_value, Val2 &&new_value) const

## Member Function Documentation

## ◆ operator()()

template<typename Val1 , typename Val2 >

constexpr auto ranges::views::replace_fn::operator() | ( | Val1 | old_value,
|  | Val2 | new_value
| ) |  | const
| constexpr

Precondition
  requires `same_as<detail::decay_t<unwrap_reference_t<Val1>>, detail::decay_t<unwrap_reference_t<Val2>>>`